Bug 585292 - Inconsistent node collapsing behavior of the resource and group tree
Inconsistent node collapsing behavior of the resource and group tree
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: Lukas Krejci
Corey Welton
:
Depends On:
Blocks: jon24-naming
  Show dependency treegraph
 
Reported: 2010-04-23 11:49 EDT by Lukas Krejci
Modified: 2010-08-12 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2010-04-23 11:49:46 EDT
Description of problem:

Changing focus to the parent node when closing it while some of its children are in focus doesn't work reliably. It is consistently broken in the group tree but I was able to reproduce it a couple of times in the resource tree as well.

Version-Release number of selected component (if applicable):

as of commit 1baa393

How reproducible:

group tree - always
resource tree - rarely

Steps to Reproduce:
1. Select a node with content in the tree (i.e. a resource cluster in group tree or a resource or autogroup in the resource tree) that has "selectable" parent (for example Logging resource under a JVM resource under JBossAS)
2. Try to close the parent node (i.e. the JVM node in the example)
  
Actual results:

Group tree - the focus changes to the parent node but it stays open
Resource tree - usually works as expected but rarely exhibits the same behavior as group tree

Expected results:

The parent node should gain focus and be collapsed.
Additional info:
Comment 1 Lukas Krejci 2010-05-13 09:11:03 EDT
Fixed in commit 5680ddb.

The behaviour should now be consistent across the different trees.
Comment 2 Sunil Kondkar 2010-05-18 08:23:35 EDT
Verified on jon build #152 (Revision: 10620)

selected a node (Ex: logging resource under a JVM resource under JBossAS) and observed that on closing, the parent node(JVM) gets focus and collapsed.
Comment 3 Corey Welton 2010-08-12 12:58:38 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.